import request from '../util/request.js';

// 空料箱上架
export function checkBlankBox(warehouseId) {
    return request({
        url: '/api/FeedBoxResource/checkBlankBox?warehouseId=' + warehouseId,
        method: 'get',
    });
}

// 请求一个空料箱
export function requestBlankBox(warehouseId) {
    return request({
        url: '/api/FeedBoxResource/requestBlankBox?warehouseId=' + warehouseId,
        method: 'get',
    });
}

// 请求校验一个空料箱和多个工装设备
export function checkBlankBoxAndInventory(warehouseId) {
    return request({
        url: '/api/FeedBoxResource/checkBlankBoxAndInventory?warehouseId=' + warehouseId,
        method: 'get',
    });
}

// 成品上架校验料箱
export function checkFeedBoxAndProduct(warehouseId) {
    return request({
        url: '/api/FeedBoxResource/checkFeedBoxAndProduct?warehouseId=' + warehouseId,
        method: 'get',
    });
}

// 成品上架
export function productRack(params) {
    return request({
        url: '/api/FeedBoxResource/productRack',
        method: 'post',
        data: params,
    });
}

// 成品下架查询立体库成品
export function findProductCanRemoved(warehouseId) {
    return request({
        url: '/api/FeedBoxResource/findProductCanRemoved?warehouseId=' + warehouseId,
        method: 'get',
    });
}

// 成品下架
export function productRemoved(params, warehouseId) {
    return request({
        url: '/api/FeedBoxResource/productRemoved?warehouseId=' + warehouseId,
        method: 'post',
        data: params,
    });
}